Bug 35525 - Do not install "exim4" - change default-mta to postfix
Do not install "exim4" - change default-mta to postfix
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
: interim-1
Depends on: 35264 36577
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-30 16:58 CEST by Philipp Hahn
Modified: 2014-11-26 06:54 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-07-30 16:58:25 CEST
debootstrap installs "logrotate" by default, which pulls in exim4:

"logrotate" Recommends "bsd-mailx" Depends "default-mta" = "exim4-daemon-light"
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2014-07-31 09:10:19 CEST
This may be solved via preseeding (include postfix+univention-postfix, exclude exim*)
For installing USS by default, the preseeding variable will also be changed.
Comment 2 Philipp Hahn univentionstaff 2014-08-20 17:37:23 CEST
r13458:
  exim4 no longer provides default-mta
Package: exim4
Version: 4.80-7.19.201408201722
Branch: ucs_4.0-0


r52874 | Bug #35525 maint: Prefer univention-mail-posfix as default-mta
  univention-maintenance: Depends univention-mail-postfix | mail-transport-agent
Package: univention-maintenance
Version: 7.0.0-2.39.201408201728
Branch: ucs_4.0-0


TODO univention-mail-postfix (Bug #35264):
  debian/control:[univention-mail-postfix] Provides: default-mta
Comment 3 Felix Botner univentionstaff 2014-08-25 14:51:38 CEST
OK - after installation postfix is installed
OK - Changelog

OK - TODO univention-mail-postfix (Bug #35264):
  debian/control:[univention-mail-postfix] Provides: default-mta
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:54:43 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".